Bug 1020682 - Integration test for nullable=true
Integration test for nullable=true
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: OptaPlanner (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER6
: 6.0.0
Assigned To: Geoffrey De Smet
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 03:38 EDT by Geoffrey De Smet
Modified: 2014-08-06 16:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:19:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoffrey De Smet 2013-10-18 03:38:43 EDT
For a strategic customer it's absolutely critical that @PlanningVariable(nullable=true) works in OptaPlanner 6, even with multiple variables. This hasn't been tested in an integration test or an example yet. We need to do that.
Comment 2 Geoffrey De Smet 2013-10-18 05:42:07 EDT
I believe this bug will break CH's for that strategic customer:
  https://issues.jboss.org/browse/PLANNER-197
Note: they aren't using CH at the moment (so it's not a regression), but they are expecting to be able to use it in BRMS 6.0.
Comment 3 Geoffrey De Smet 2013-10-24 07:39:18 EDT
Integration test for single nullable variable added.
  https://github.com/droolsjbpm/optaplanner/commit/9a2584d9b0871b05885900d52e81cc290fb5d232
CH problem reproduced on that test and fixed with this commit:
  https://github.com/droolsjbpm/optaplanner/commit/3a27feb384aed7d546167c1bd6313a87aae5b94b

The isMoveDoable() method still has the wrong name, so most of PLANNER-197 is still open.
Comment 4 Geoffrey De Smet 2013-11-26 10:29:57 EST
The isMoveDoable() naming will be handled for 6.1. It does not prevent nullable=true from working correctly.

So given this issue is fixed (see comment above that links the fix and the integration test to prove it works).
Comment 5 Radovan Synek 2014-01-16 04:34:02 EST
Verified with BRMS-6.0.0.ER7
Comment 6 Radovan Synek 2014-03-18 12:30:30 EDT
qe_test_coverage: covered by community unit tests

Note You need to log in before you can comment on or make changes to this bug.